<template>
    <!-- <div class="content-body"> -->
    <screenHeader :currentKey="currentKey">
        <div class="content-body">
            区县
        </div>
    </screenHeader>

    <!-- </div> -->
</template>
<script>
import * as echarts from 'echarts'
import { Radar } from '@antv/g2plot'
import cq from '@/assets/js/cq.js'
import main9 from '@/assets/js/main9.js'
import dialogConfig from '@/views/BigScreen/js/DistrictReformDialogConfig.js'
import { mapState } from 'vuex'
import VueSeamlessScroll from 'vue-seamless-scroll'
import dialogComponents from '@/views/BigScreen/js/dialog_components.js'
import EasyDialog from '@/views/BigScreen/components/easy-dialog/index.vue'
import fakeData from '@/views/BigScreen/js/fakeData_district.js'
import apiList from '@/api/bigScreen/districView.js'
import bigScreenMixin from '@/mixins/bigScreenMixin.js'
import utils from '@/utils.js'
import screenHeader from '@/views/BigScreen/components/screenHeader.vue'
import dataMixin from '@/views/BigScreen/js/DistrictReformMethods.js'
export default {
    name: 'DistrictReformView',
    mixins: [bigScreenMixin, dataMixin],
    components: {
        screenHeader,
    },
    data() {
        return {
            currentKey:'DistrictReformView'
        }
    },
    methods: {},
}
</script>
<style lang="scss" scoped>
@import '@/assets/css/big-screen.scss';

.dot {
    position: absolute;
    width: 10PX;
    height: 10PX;
    background: #fff;
    border-radius: 50%;
    right: -120PX;
    top: 50%;
    transform: translateY(-40%);
}

.gxq {
    .dot {
        right: -70PX;
    }
}

.item-inner-left {
    margin-right: 8%;
}

.title-tip {
    cursor: pointer;
    margin-left: 8PX;
    color: #e58307;
}

.title-tip-content {
    width: 360PX;
    font-size: 18PX;
    line-height: 140%;
}

.color-dark {
    color: #d8dddd;
}

.quarter-selection {
    position: absolute;
    right: 0;
    top: 0;
    width: 100PX;
    height: auto;

    /deep/.el-input__inner {
        background-color: transparent;
        color: #fff;
        border-color: #0271e5;
    }
}

.screen-body-col {
    width: 100%;
}

.col-center {
    width: 620PX;
    margin: 0 0PX;
    height: 100%;

    .item-top {
        width: 100%;
        // height: 520PX;
        height: 540PX;
        margin-top: 43Px;
        // overflow: hidden;
        position: relative;
        z-index: 2;

        #cq-contianer {
            position: absolute;
            left: 0;
            top: 0;
            width: 600PX;
            height: 520PX; //100%;
            z-index: 3;
        }

        #main9-contianer {
            position: absolute;
            width: 210PX;
            height: 240PX;
            top: -8PX;
            left: 52PX;
            z-index: 4;

            .ljxq {
                z-index: 990;
                background: url("~@/assets/img/bigScreen/ljxq1.png") no-repeat;
                background-size: 100%;
                width: 75PX;
                height: 26PX;
                display: inline-block;
                position: absolute;
                top: 64PX;
                left: -26%;
                cursor: pointer;

                &::before {
                    position: absolute;
                    content: '';
                    left: 8PX;
                    top: 11PX;
                    width: 8PX;
                    height: 8PX;
                    border-radius: 50%;
                    -webkit-border-radius: 50%;
                    -moz-border-radius: 50%;
                    -ms-border-radius: 50%;
                    -o-border-radius: 50%;
                }
            }

            .ljxq::after {
                z-index: 990;
                content: "";
                display: inline-block;
                width: 85PX;
                height: 1PX;
                background-image: linear-gradient(to right, white 0%, white 50%, transparent 50%);
                background-size: 8PX 1PX;
                background-repeat: repeat-x;
                position: absolute;
                left: 75PX;
                top: 14PX;
            }

            .gxq {
                z-index: 999;
                background: url("~@/assets/img/bigScreen/gxq1.png") no-repeat;
                background-size: 100%;
                width: 75PX;
                height: 26PX;
                display: inline-block;
                position: absolute;
                top: 115PX;
                left: -26%;

                &::before {
                    position: absolute;
                    content: '';
                    left: 8PX;
                    top: 11PX;
                    width: 8PX;
                    height: 8PX;
                    border-radius: 50%;
                    -webkit-border-radius: 50%;
                    -moz-border-radius: 50%;
                    -ms-border-radius: 50%;
                    -o-border-radius: 50%;
                }
            }

            .gxq::after {
                z-index: 999;
                content: "";
                display: inline-block;
                width: 45PX;
                height: 1PX;
                background-image: linear-gradient(to right, white 0%, white 50%, transparent 50%);
                background-size: 8PX 1PX;
                background-repeat: repeat-x;
                position: absolute;
                left: 75PX;
                top: 14PX;
            }

            .grade-A {
                &::before {
                    background-color: #20A367;
                }
            }

            .grade-B {
                &::before {
                    background-color: #3877B2;
                }
            }

            .grade-C {
                &::before {
                    background-color: #E3C428;
                }
            }

            .grade-D {
                &::before {
                    background-color: #E49317;
                }
            }

            .grade-E {
                &::before {
                    background-color: #B04332;
                }
            }
        }
    }

    .item-bottom {
        width: 100%;
        margin-top: 20PX;
        height: calc(100% - 605PX);
        position: relative;
        z-index: 2;
        background: url('~@/assets/img/bigScreen/img_quxian_k4@2x.png') no-repeat center / 100% 100%;

        .title {
            position: absolute;
            top: 4.8%;
            left: 4%;
            font-size: 18PX;
            font-weight: bold;
            font-family: Source Han Sans CN;
            font-style: italic;
            color: #fff;
        }
    }
}

.col-side {
    width: 650PX;
    height: 100%;
    * {
        font-size: 18PX !important;
    }

    .item-top {
        width: 100%;
        // height: calc(32% + 40PX);
        // height: 40%;
        height: 45%;
        // margin-top: -40PX;
        position: relative;
        background: url('~@/assets/img/bigScreen/img_quxian_k1@2x.png') no-repeat center / 100% 100%;

        .title {
            top: 6.8%;
            left: 7%;
        }
    }

    .item-bottom {
        width: 100%;
        height: calc(55% + 10PX);
        margin-top: -10PX;
        position: relative;
        background: url('~@/assets/img/bigScreen/img_quxian_k2@2x.png') no-repeat center / 100% 100%;

        .title {
            top: 3.2%;
            left: 7%;
        }
    }
}

.icon-border {
    position: absolute;
    right: 2%;
    top: 6%;
    width: 78PX;
    height: 14PX;
    background: url('~@/assets/img/bigScreen/img_wk_zs2@2x.png') no-repeat center / 100% 100%;
}

.left-bottom {
    .icon-border {
        right: 3.3%;
        top: 4%;
    }

}

.right-bottom,
.left-bottom {
    .more {
        right: 3.6%;
        top: 1.8%;
        font-size: 18PX;
    }
}

.right-top {
    background: url('~@/assets/img/bigScreen/img_quxian_k3@2x.png') no-repeat center / 100% 100% !important;

}

.more {
    cursor: pointer;
    position: absolute;
    right: 3.9%;
    top: 4.8%;
    text-align: center;
    width: 70PX;
    height: 30PX;
    line-height: 30PX;
    font-size: 18PX;
    font-family: SimHei;
    font-weight: 400;
    color: #B9EBFF;
    background: url('~@/assets/img/bigScreen/more.png') no-repeat center / 100% 100%;
}

.title {
    position: absolute;
    top: 4.8%;
    left: 4%;
    font-size: 18PX;
    font-weight: bold;
    font-family: Source Han Sans CN;
    font-style: italic;
    color: #fff;
}

.tab-btns {
    position: absolute;
    right: 2.6%;
    top: 4.8%;
    display: flex;

    .tab-btn {
        margin: 0 4PX;
        cursor: pointer;
        text-align: center;
        width: 64PX;
        height: 30PX;
        line-height: 30PX;
        font-size: 12PX;
        font-family: SimHei;
        font-weight: 500;
        color: #FFFFFF;
        text-shadow: 0PX 0PX 27PX #0B1F3E;
        background: url('~@/assets/img/bigScreen/tab_btn_b.png') no-repeat center / 100% 100%;
    }

    .active {
        background: url('~@/assets/img/bigScreen/tab_btn_g.png') no-repeat center / 100% 100% !important;
    }
}

.scroll-board-top {
    position: absolute;
    left: 6%;
    top: 19.5%;
    width: 88%;
    height: 70%;
}

.scroll-board-top.zh {
    top: 10.5%;
    height: 76%;
}

.scroll-board-bottom {
    position: absolute;
    left: 6%;
    top: 10.5%;
    width: 88%;
    height: 46%;
}

.scroll-heat {
    position: absolute;
    left: 0%;
    top: 0%;
    width: 100%;
    height: 88%;
}

.more-btn.zh {
    bottom: 4.5%;
}

.more-btn {
    width: 88%;
    height: 36PX;
    position: absolute;
    bottom: 8%;
    left: 6%;
    text-align: center;
    line-height: 36PX;
    font-size: 18PX;
    font-family: SimHei;
    font-weight: 400;
    color: #62B4FF;
    cursor: pointer;
}

.more-btn::after {
    content: '';
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    position: absolute;
    background: linear-gradient(90deg, rgba(2, 115, 233, 0) 0%, #0273E9 50%, rgba(2, 115, 233, 0) 100%);
    opacity: 0.2;
}

.center-map-btn {
    width: 100%;
    padding: 0 20PX;
    margin-top: 6PX;
    height: 70PX;
    display: flex;
    align-items: center;
    justify-content: space-between;
    overflow: hidden;

    .btn-composite {
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 112PX;
        height: 64PX;
        line-height: 20PX;
        text-align: center;
        font-size: 16PX;
        font-family: SimHei;
        font-weight: bold;
        color: #16CCFD;
        background: url('~@/assets/img/bigScreen/btn_zh_d@2x.png') no-repeat center / 100% 100%;
    }

    .btn-composite.active {
        color: #FFAF4D;
        background: url('~@/assets/img/bigScreen/btn_zh_s@2x.png') no-repeat center / 100% 100%;
    }

    .btn-index-group {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    .btn-index-item {
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 112PX;
        height: 64PX;
        line-height: 16PX;
        text-align: center;
        font-size: 14PX;
        font-family: SimHei;
        font-weight: 500;
        color: #FFFFFF;
        background: url('~@/assets/img/bigScreen/btn_title_d@2x.png') no-repeat center / 100% 100%;
    }

    .btn-index-item.active {
        background: url('~@/assets/img/bigScreen/btn_title_s@2x.png') no-repeat center / 100% 100% !important;
    }
}

.trends-board-container {
    position: absolute;
    right: 3.2%;
    bottom: 1.5%;
    width: 200PX;
    height: 120PX;
    background: url('~@/assets/img/bigScreen/img_map_dt@2x.png') no-repeat center / 100% 100%;

    .board-title {
        font-size: 14PX;
        font-family: SimHei;
        font-weight: 800;
        color: #FFFFFF;
        text-shadow: 0PX 0PX 16PX #266BF2;
        font-style: normal;
        text-align: center;
        margin-top: -10PX;
        width: 100%;
    }

    .trends-board-content {
        width: 100%;
        margin-top: 2%;
        height: 86%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        overflow: hidden;
    }

    .board-content-item-btn {
        cursor: pointer;
        position: relative;
        margin-left: 20PX;
        width: 146PX;
        height: 32PX;
        line-height: 32PX;
        font-size: 12PX;
        font-family: SimHei;
        font-weight: 400;
        color: #FFFFFF;
        text-align: center;
        background: url('~@/assets/img/bigScreen/btn_map_bg@2x.png') no-repeat center / 100% 100%;
    }

    .board-content-item-btn:before {
        content: '';
        position: absolute;
        width: 12PX;
        height: 12PX;
        left: -20PX;
        top: 11PX;
        background: url('~@/assets/img/bigScreen/icon_jiantou@2x.png') no-repeat center / 100% 100%;
    }

    .board-content-item-text {
        cursor: pointer;
        position: relative;
        margin-left: 20PX;
        width: 146PX;
        height: 34PX;
        line-height: 34PX;
        font-size: 12PX;
        font-family: SimHei;
        font-weight: 400;
        color: #D7F1FF;
        text-align: left;
    }

    .board-content-item-text i {
        position: absolute;
        width: 12PX;
        height: 12PX;
        left: -20PX;
        top: 11PX;
        background: url('~@/assets/img/bigScreen/icon_dian@2x.png') no-repeat center / 100% 100%;
    }

    .board-content-item-text span {
        display: inline-block;
        width: 100%;
    }
}

.trends-board-container.top {
    top: 20%;

    .trends-board-content {
        height: calc(88% - 28PX);
        margin-top: 0%;
    }

    .more-btn {
        height: 28PX;
        line-height: 28PX;
        bottom: 0;
    }
}

.trends-board-container.bottom {
    height: 160PX !important;
}

.map-sign {
    position: absolute;
    right: 11%;
    bottom: 8%;
    // width: 30PX;
    // width: 16PX;
    z-index: 998;

    .map-sign-item {
        height: 16PX;
        margin-top: 8PX;
        display: flex;
        justify-content: flex-end;

        .text {
            font-size: 16PX;
        }

        .color {
            display: inline-block;
            width: 16PX;
            height: 16PX;
            background-color: #20A367;
            margin-left: 2PX;
            border-radius: 2PX;
        }

        .color2 {
            background-color: #3877B2;
        }

        .color3 {
            background-color: #E3C428;
        }

        .color4 {
            background-color: #E49317;
        }

        .color5 {
            background-color: #B04332;
        }
    }

    .map-sign-icon-color {
        text-align: center;
        font-family: SimHei;
        font-size: 16PX;
        color: #FFFFFF;
        width: 100%;
        height: 22PX;
        line-height: 22PX;
        margin-top: 6PX;
        background-color: #20A367;
        border-radius: 10PX;

    }

    .map-sign-icon-color.color2 {
        background-color: #3877B2;
    }

    .map-sign-icon-color.color3 {
        background-color: #E3C428;
    }

    .map-sign-icon-color.color4 {
        background-color: #E49317;
    }

    .map-sign-icon-color.color5 {
        background-color: #B04332;
    }

    .map-sign-icon {
        text-align: center;
        font-family: SimHei;
        font-weight: 400;
        color: #FFFFFF;
        width: 100%;
        height: 28PX;
        line-height: 28PX;
        margin-top: 10PX;
    }

    .map-sign-icon.you {
        background: url('~@/assets/img/bigScreen/btn57.png') no-repeat center / 100% 100%;
    }

    .map-sign-icon.liang {
        background: url('~@/assets/img/bigScreen/btn58.png') no-repeat center / 100% 100%;
    }

    .map-sign-icon.yi {
        background: url('~@/assets/img/bigScreen/btn59.png') no-repeat center / 100% 100%;
    }

    .map-sign-icon.cha {
        background: url('~@/assets/img/bigScreen/btn60.png') no-repeat center / 100% 100%;
    }

    .map-tooltips-color {
        display: none;
        position: absolute;
        left: 50PX;
        bottom: 0;
        width: 35vw;
        height: auto;
        background: #062f6b;
        border: 1PX solid rgba(2, 115, 233, 1);
        z-index: 999;
        border-radius: 6PX;
        padding: 10PX;
        letter-spacing: 2PX;
        line-height: 140%;
        text-align: justify;

        .map-tooltips-title {
            text-align: center;
            font-size: 16PX;
            margin-bottom: 6PX;
        }
    }
}

.map-sign:hover {
    .map-tooltips-color {
        display: block;
    }
}

.swiper-container {
    position: absolute;
    right: -2%;
    bottom: 6%;
    width: 70PX;
    height: 150PX;
    z-index: 999;
    overflow: hidden;

    .swiper-slide-active {
        font-size: 16PX;
        font-weight: bold;
        color: #fff !important;
    }

    .swiper-slide-prev,
    .swiper-slide-next {
        color: #6d8bb6 !important;
    }

    /deep/ .swiper-wrapper {
        flex-direction: column;
        // height: 28PX!important;
    }

    .swiper-slide {
        text-align: center;
        color: #4c6281;
        width: 100%;
        // height: 28PX !important;
        // margin-bottom: 10PX;
        font-size: 16PX;
    }
}

#reform-brand {
    position: absolute;
    left: 6%;
    top: 60%;
    width: 88%;
    height: 34%;
}

.heat-list-container {
    position: absolute;
    left: 4%;
    top: 10%;
    width: 92%;
    height: 85%;

}

.heat-list-top {
    width: 100%;
    height: 100%;
    margin-top: 2%;
}

#heat-bar-chart {
    width: 100%;
    height: 45%;
    margin-top: 2%;
}

#heat-table {
    position: relative;
    width: 100%;
    height: 43%;
}

.heat-more.more-btn {
    bottom: 0%;
}

.heat-list-bottom {
    width: 100%;
    height: 50%;

    .sub-title::before {
        width: 60PX;
        left: 22%;
    }

    .sub-title::after {
        width: 60PX;
        right: 22%;
    }
}

.heat-list-content {
    margin-top: 2%;
    height: 92%;
}

.push-on-full:nth-of-type(3) .push-on-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.push-on-item-inner {
    width: 110PX;
    height: 88PX;
    margin: 10PX 0;
    flex-direction: column;
}

.push-on-item-inner.branch {
    cursor: pointer;
}

.push-on-text {
    font-size: 16PX;
    font-family: SimHei;
    font-weight: 400;
    color: #FFFFFF;

    em {
        font-style: normal;
        font-size: 18PX;
        font-weight: bold;
        margin-right: 4PX;
    }
}

.push-on-item-g {
    background: url('~@/assets/img/bigScreen/1@2x.png') no-repeat center / 100% 100%;

    .push-on-item-inner {
        background: url('~@/assets/img/bigScreen/green-block@2x.png') no-repeat center / 100% 100%;
    }

    .push-on-text em {
        color: #96FFCA;
    }
}

.push-on-item-y {
    background: url('~@/assets/img/bigScreen/2@2x.png') no-repeat center / 100% 100%;

    .push-on-item-inner {
        background: url('~@/assets/img/bigScreen/yellow-block@2x.png') no-repeat center / 100% 100%;
    }

    .push-on-text em {
        color: #FFCE86;
    }
}

.push-on-item-b {
    background: url('~@/assets/img/bigScreen/3@2x.png') no-repeat center / 100% 100%;

    .push-on-item-inner {
        background: url('~@/assets/img/bigScreen/blue-block@2x.png') no-repeat center / 100% 100%;
    }

    .push-on-text em {
        color: #fff;
    }
}

.push-on-item-g .push-on-item:after {
    content: '';
    position: absolute;
    width: 54PX;
    height: 8PX;
    left: 83.5%;
    top: 50%;
    transform: translateY(-50%);
    background: url('~@/assets/img/bigScreen/img_iindu_jt1@2x.png') no-repeat center / 100% 100%;
}

.push-on-item-b .push-on-item:after {
    content: '';
    position: absolute;
    width: 54PX;
    height: 88PX;
    right: 83%;
    top: 50%;
    transform: translateY(-50%);
    background: url('~@/assets/img/bigScreen/img_iindu_jt2@2x.png') no-repeat center / 100% 100%;
}

.push-on-item {
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.push-on-full {
    flex: 1;
    height: 100%;
}

.heat-ray {
    width: 45%;
    height: 100%;
    padding-top: 20PX;

    .sub-title::before {
        left: 10%;
    }

    .sub-title::after {
        right: 10%;
    }
}

.heat-bar {
    width: 55%;
    height: 100%;
    padding-top: 20PX;

    .sub-title::before {
        left: 8%;
    }

    .sub-title::after {
        right: 8%;
    }
}

#heat-ray-chart {
    width: 100%;
    height: 100%;
}

.reform-top-item {
    flex: 1.3;
    height: 100%;
    position: relative;
}

.top-item-1 {
    flex: 1.2;
}

.top-item-1 {
    .sub-title::before {
        left: 8%;
    }

    .sub-title::after {
        right: 8%;
    }
}

.top-item-2 {
    flex: 1.3;

    .sub-title::before {
        left: 15%;
    }

    .sub-title::after {
        right: 15%;
    }
}

.top-item-3 {
    .sub-title::before {
        left: 2%;
    }

    .sub-title::after {
        right: 2%;
    }
}

.reform-top-item-sub {
    width: 100%;
    height: 50%;
}

.reform-top-item-sub:nth-of-type(2) {
    margin-top: 3%;
}

.reform-top-item-content {
    width: 100%;
    height: 80%;
}

.reform-block-full {
    cursor: pointer;
    width: 80PX;
    height: 57PX;
    text-align: center;
    border: 1PX solid #0273E9;
    background: rgba(#0273E9, 0.3);
    font-size: 14PX;
    font-family: SimHei;
    font-weight: 400;
    color: #D7F1FF;

    em {
        font-size: 16PX;
        font-family: SimHei;
        font-weight: bold;
        color: #FFFFFF;
        font-style: normal;
        margin-right: 4PX;
    }
}

.reform-block-branch {
    height: 57PX;
    position: relative;
}

.reform-block-branch::after {
    content: '';
    position: absolute;
    width: 34PX;
    height: 34PX;
    right: 100%;
    top: 50%;
    transform: translateY(-50%);
    background: url('~@/assets/img/bigScreen/img_iindu_jt@2x.png') no-repeat center / 100% 100%;
}

.reform-block-branch-item {
    // cursor: pointer;
    padding: 1PX 8PX;
    font-size: 13PX;
    font-family: SimHei;
    font-weight: 400;
    color: #D7F1FF;
    border: 1PX dashed #0273E9;
    background: rgba(#0273E9, 0.3);

    em {
        font-size: 16PX;
        font-family: SimHei;
        font-weight: bold;
        color: #FFFFFF;
        font-style: normal;
        margin: 0 4PX;
    }
}

#reform-ray-chart {
    height: 90%;
    width: 100%;
}

#deploymentTime {
    margin-top: 2%;
    height: 98%;
    width: 96%;
    margin-left: 2%;
}

#deploymentTimeEmpty {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
}

#hope-container {
    height: 100%;
    width: 100%;
}

.heat-list-top {
    .sub-title::before {
        left: 30%;
    }

    .sub-title::after {
        right: 30%;
    }
}

.map-dialog {
    position: absolute;
    z-index: 9;
    width: 186PX;
    height: 140PX;
    font-size: 16PX;
    font-family: SimHei;
    font-weight: 400;
    color: #D7F1FF;
    padding: 22PX;
    box-sizing: border-box;
    background: url('~@/assets/img/bigScreen/map-log-bg@2x.png') no-repeat center / 100% 100%;
    // background-color: rgba(#0273E9, 0.3);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;

    div em {
        font-style: normal;
        color: #62B4FF;
        font-weight: bold;
        margin: 0 2PX;
    }
}

.close-btn {
    position: absolute;
    right: 10PX;
    top: 10PX;
    width: 14PX;
    height: 14PX;
    cursor: pointer;
}

.heat-section.tab-btns {
    right: 3% !important;
    top: 1.5% !important;

    .tab-btn-more {
        width: 120PX;
        background: url('~@/assets/img/bigScreen/tab_btn_l.png') no-repeat center / 100% 100%;
    }
}

.heat-list-container {
    .reform-top {
        width: 100%;
        height: calc(100% - 190PX);
        margin-top: 20PX;
        .sub-title::before {
            left: 28%;
        }
        .sub-title::after {
            right: 28%;
        }
    }

    .reform-bottom {
        width: 100%;
        height: 140PX;
        margin-top: 30PX;
    }
}

.btn-container {
    width: 100%;
    display: flex;
    justify-content: center;
    position: absolute;
    left: 0;
    bottom: 0PX;
    z-index: 100;

    span {
        font-size: 20PX;
        border-left: 1PX solid #76a7df;
        border-right: 1PX solid #76a7df;
        padding: 0 16PX;
        color: #d8dddd;
        cursor: pointer;
    }

    span:nth-child(2) {
        margin: 0 8PX;
    }

    span:nth-child(3) {
        margin-right: 8px;
    }

    span:hover {
        color: #fff;

    }
}

.trends-board-content {
    padding-top: 10%;
    width: 90%;
    margin: 0 5%;
    height: 76%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    overflow: hidden;
}

.scroll-table-body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.board-content-item-text {
    cursor: pointer;
    position: relative;
    margin-left: 20PX;
    width: 96%;
    height: 34PX;
    line-height: 34PX;
    font-size: 18PX;
    font-family: SimHei;
    font-weight: 400;
    color: #D7F1FF;
    text-align: left;
}

.board-content-item-text .icon {
    position: absolute;
    width: 14PX;
    height: 14PX;
    left: -20PX;
    top: 12PX;
    background: url('~@/assets/img/bigScreen/icon_dian@2x.png') no-repeat center / 100% 100%;
}

.board-content-item-text .dt-text {
    display: inline-block;
    width: 100%;
    font-size: 18PX;

    span:nth-child(1) {
        display: inline-block;
        width: calc(100% - 120PX);
        vertical-align: middle;
        font-size: 18PX;
        font-family: SimHei;

    }

    span:nth-child(2) {
        display: inline-block;
        width: 110PX;
        vertical-align: middle;
        box-sizing: border-box;
        font-family: SimHei;
        font-size: 18PX;
    }

    .el-icon-timer {
        color: #00ffff;
        margin-right: 4PX;
        font-size: 16PX;
    }
}

.item-bottom-target {
    width: 92%;
    margin: 0 4%;
    height: 94%;
    // padding-top: 8%;
    padding: 11% 0 0 2%;
    flex-wrap: wrap;
}

.disable.bottom-target-item {
    cursor: not-allowed
}

.bottom-target-item {
    // width: 25%;
    width: 33%;
    cursor: pointer;
    justify-content: flex-start;

    .target-img {
        text-align: center;
        position: relative;
    }

    .target-img::before {
        z-index: 1;
        content: '';
        position: absolute;
        left: 71%;
        top: 25%;
        width: 100PX;
        height: 20PX;
        background: url('~@/assets/img/bigScreen/zd_titlebg.png') no-repeat center / 100% 100%;
    }

    .target-img::after {
        z-index: 1;
        content: '';
        position: absolute;
        left: 92%;
        top: 55%;
        width: 80PX;
        height: 24PX;
        background: url('~@/assets/img/bigScreen/zd_namebg.png') no-repeat center / 100% 100%;
    }

    div img {
        width: 68PX;
        height: 60PX;
    }

    .target-num {
        font-size: 20PX;
        margin: 4PX 0;
        font-weight: bold;
        color: #ffb03b;
        text-align: center;
        margin-top: 10PX;
        position: relative;
        z-index: 2;
    }

    .target-name {
        color: #D7F1FF;
        text-align: center;
        font-size: 16PX;
        font-family: SimHei;
        font-weight: 400;
        font-style: italic;
        position: relative;
        z-index: 2;
    }
}
</style>

<style lang='scss'>
.district-title.el-tooltip__popper.is-dark {
    background: #0271e5;
    color: #ffffff;
}

#cq-contianer>div {
    top: 50%;
    transform: translateY(-50%);
}

.el-select-dropdown.el-popper.quarter-selectop {
    background-color: #010b55 !important;
    border: solid 1PX #0271e5;
}

.quarter-selectop.el-popper[x-placement^="bottom"] .popper__arrow {
    border-bottom-color: #0271e5 !important;
}

.quarter-selectop.el-popper[x-placement^="bottom"] .popper__arrow::after {
    display: none;
    border-bottom-color: #0271e5 !important;
}

.quarter-selectop {
    .popper__arrow::after {
        border-bottom-color: #0271e5;
    }

    .el-select-dropdown__item.hover,
    .el-select-dropdown__item:hover {
        background-color: #0271e5;
        color: #fff !important;
    }

    .el-select-dropdown__item.selected span {
        color: #fff !important;
    }
}

.custom-tooltip {
    .tooltip-title {
        width: 100%;
        text-align: left;
        font-size: 16PX;
        font-family: SimHei;
        font-weight: bold;
        color: #D7F1FF;
        margin-bottom: 10PX;
        position: relative;
        margin-left: 8PX;
    }

    .tooltip-title::before {
        content: '';
        position: absolute;
        left: -8PX;
        top: 50%;
        transform: translateY(-50%);
        width: 4PX;
        height: 16PX;
        background-color: #16CCFD;
    }

    .tooltip-item {
        text-align: left;
        font-size: 14PX;
        font-family: SimHei;
        color: #D7F1FF;
    }

    em {
        font-size: 16PX;
        font-family: SimHei;
        font-weight: bold;
        color: #16CCFD;
        font-style: normal;
    }
}
</style>